/*CSS Reset- This will allow us to control the measurements of elements better.*/
* {
	/*- The "margin" property changes the amount of space between the "border" and it's surrounding elements. This is commonly used to create space between elements. (outside space)
	- Even though a "border" property of an element does not have a value and is not visible in the browser, it serves as a basis to create space between elements. (middle space)
	- The "padding" property changes the amount of space between the "border" and "content" of an element. This is commonly used to position contents of an element. (inside space)
	- The "box-sizing" property defines how the width and height of an element are calculated.*/
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	font-family: 'Open Sans', sans-serif;
	/*alternative fonts: serif, cursive, fantasy, monospace*/
}

nav {
	/*0.8rem = 12.8px based on the root element (16px)*/
	/*shorthand property
	-Using short hand properties follows the DRY principle (Don't Repeat Yourself). This is a good example shown above since the values of all four spaces are all the same. 
	*/
	padding: 0.8rem;
	/*properties that make up padding property
	padding-top:  0.8rem;
	padding-bottom:  0.8rem;
	padding-left:  0.8rem;
	padding-right:  0.8rem;
	*/

	/*creates space between the nav and the intro section*/
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;

	/*margin vs padding*/
	/*margin is best used when creating space between elements.*/
	/*padding is best used when creating space between an element's border and it's content.*/

}
/*child selector*/
nav > ul > li {
	list-style-type: none;
}

/*descendant selector*/
nav .nav, nav .nav-logo {
	margin: 0.5rem;
	/*li elements turn into inline elements, default behavior of li is block elements*/
	display: inline;
}

#intro {
	/*creates space between the contents of the intro section and the it's border*/
	/*The value "10%" is used to make the page responsive to the screen size. It generates it's value based on the parent element which is the body tag, which spans the whole width of the page.*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	/*shorthand property
	padding: top left&right bottom;
	padding: 2rem 10% 3rem;
	*/
	text-align: center;

}

.header {
	/*best used when horizontally aligning text instead of using margin and padding*/
	text-align: center;
}

#intro h2, #intro p {
	/*creates space between the contents of the intro section*/
	margin-bottom: 1rem;
}

#intro button {
	background-color: #c2195b;
	color: white;
	/*changes the thickness of text*/
	font-weight: bold;
	font-size: 1rem;
	/*creates space between the button text and the border*/
	padding: 1rem;
	border-radius: 25px;
}

#succeed-info {
	/*exact same properties as the intro section but can have it's own CSS rule for flexibility.
	In the context of a larger application where there are hundreds or thousands of lines of code, this might be a good approach to make the element isolated for future changes.*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
}

#succeed-info h2 {
	/*creates space between the header and the card section*/
	margin-bottom: 1rem;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

#succeed-info .card {
	/*allows the cards to appear beside each other and manipulate the sizes*/
	display: inline-block;
	/*aligns elements with the tallest element in line*/
	vertical-align: top;
	/*allows for cards to have equal height that adjust with the content*/
	min-height: 175px;
	/*measurement is based on equally dividing the parent container's width*/
	width: 30%;
	/*creates horizontal spacing between cards*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

footer {
	/*creates space between the span tags and the footer border*/
	padding: 0.7rem;
}

footer span {
	margin-left: 0.5rem;
	margin-right: 0.5rem;
	/*margin:  top&bottom, left&right
	margin: 0, 0.5rem;
	*/
}
#pre-footer{
	background-color: #002540;
	color: white;
	text-align: top;
}
#pre-footer div{
	display: inline-block;
	margin-right: 100px;
	margin-left: 100px;
	margin-bottom: 10px;
	vertical-align: top;
	margin-top: 0;
	
	

}